Bug 27912 - mate display manager не работает
: mate display manager не работает
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mate-display-manager)
: unstable
: all Linux
: P3 blocker
Assigned To:
:
:
:
:
: 27685
  Show dependency tree
 
Reported: 2012-11-01 00:13 by
Modified: 2012-11-15 09:08 (History)


Attachments
Скриншот (932.29 KB, image/png)
2012-11-07 14:07, Anton V. Boyarshinov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-11-01 00:13:43
при запуске выдаёт сообщения в окошках, долго запускается.
Потом ведёт себя забавным образом:
показывает всех системных пользователей
часть пользователей (при этом всех "настоящих") показывает, но не подписывает.
Залогиниться не удаётся, даже если найти нужного пользователя по тултипам.
------- Comment #1 From 2012-11-01 00:23:50 -------
Приблизительно правильно работает gdm в p6 и по коду они близки, но
непосредственно патчи не применяются.
------- Comment #2 From 2012-11-01 12:00:22 -------
mate-display-manager-1.4.0-alt3 -> sisyphus:

* Thu Nov 01 2012 Led <led@altlinux> 1.4.0-alt3
- fixed mdm's home dir permissions (ALT#27912)
------- Comment #3 From 2012-11-06 15:27:03 -------
Показ списка пользователей по прежнему работает неправильно.
Логин по прежнему не работает.
------- Comment #4 From 2012-11-06 16:33:59 -------
(В ответ на комментарий №3)
> Показ списка пользователей по прежнему работает неправильно.

Он работает как задумано: отображается т.н. "полное имя пользователя", если его
нет, то ничего и не отображается. Т.е. это такая "фича".

> Логин по прежнему не работает.
Не воспроизводится - логин нормально работает.
------- Comment #5 From 2012-11-06 17:03:21 -------
(В ответ на комментарий №4)
> > Показ списка пользователей по прежнему работает неправильно.
> 
> Он работает как задумано: отображается т.н. "полное имя пользователя", если его
> нет, то ничего и не отображается. Т.е. это такая "фича".
Ну так она неправильная фича.
Кроме того, в списке отображаются  пользователи, которым там не место: с id <
500 и с оболочками вроде /bin/false и /dev/null

> > Логин по прежнему не работает.
> Не воспроизводится - логин нормально работает.
------- Comment #6 From 2012-11-06 17:20:48 -------
(В ответ на комментарий №5)
> (В ответ на комментарий №4)
> > > Показ списка пользователей по прежнему работает неправильно.
> > 
> > Он работает как задумано: отображается т.н. "полное имя пользователя", если его
> > нет, то ничего и не отображается. Т.е. это такая "фича".
> Ну так она неправильная фича.
> Кроме того, в списке отображаются  пользователи, которым там не место: с id <
> 500 и с оболочками вроде /bin/false и /dev/null

Ну, давайте оформим это это как отдельный фичреквест (потому как к "не
работает" это не относится - зачем всё сваливать в кучу?): что именно мы хотим
получить - выводить только логин, а не "полное имя пользователя" (ПИП)?
выводить ПИП, если оно не пустое, иначе логин? Добавить фильтры?

Если это не настраивается конфигами, значит нужно форкать и дописывать код.
------- Comment #7 From 2012-11-06 19:58:57 -------
Только что проверил два раз: поставил mate-display-manager на две системы с
сегодняшним сизифом - на реальную машину и в VirtualBox. На обоих до этого
mate-display-manager не было. Всё работает, пользователи отображаются, если
полное имя не заведено в /etc/passwd - отображается login, отображатся только
реальные пользователи. Работает и с конфигом "из коробки" (/var/lib/mdm/*), и с
зачищенным конфигом (rm -rf /var/lib/mdm/*; service dm restart)
------- Comment #8 From 2012-11-07 12:45:53 -------
(В ответ на комментарий №7)
> Только что проверил два раз: поставил mate-display-manager на две системы с
> сегодняшним сизифом - на реальную машину и в VirtualBox. На обоих до этого
> mate-display-manager не было. Всё работает, пользователи отображаются, если
> полное имя не заведено в /etc/passwd - отображается login, отображатся только
> реальные пользователи. Работает и с конфигом "из коробки" (/var/lib/mdm/*), и с
> зачищенным конфигом (rm -rf /var/lib/mdm/*; service dm restart)

Странно... У меня на 2 машинах не так.. Похоже, либо какие-то настройки криво
импортировались либо ещё что.. Проверю на чистых, спасибо
------- Comment #9 From 2012-11-07 14:07:25 -------
Created an attachment (id=5624) [details]
Скриншот
------- Comment #10 From 2012-11-07 14:12:11 -------
(В ответ на комментарий №7)
> Только что проверил два раз: поставил mate-display-manager на две системы с
> сегодняшним сизифом - на реальную машину и в VirtualBox. На обоих до этого
> mate-display-manager не было. Всё работает, пользователи отображаются, если
> полное имя не заведено в /etc/passwd - отображается login, отображатся только
> реальные пользователи. Работает и с конфигом "из коробки" (/var/lib/mdm/*), и с
> зачищенным конфигом (rm -rf /var/lib/mdm/*; service dm restart)

Только что поставил mdm на свежую виртуалку в kvm: скриншот см выше. Системные
пользователи видны, пользователи без полных имён видны как пустое место,
единственный настоящий пользователь не виден вообще (ну, по крайней мере мне по
tooltips не удалось его найти). Попытка нажать на "Другой.." приводит к
появлению такого же экрана вместо поля ввода пользователя.

На мой взгляд это "не работает"..

Возможно, это связано с тем, что на всех этих машинах имеется также gdm.
------- Comment #11 From 2012-11-07 14:27:53 -------
(В ответ на комментарий №10)

> Возможно, это связано с тем, что на всех этих машинах имеется также gdm.
Таки да -- проблему можно переформулировать как "некорректный импорт настроек
gdm"..
Хотя.. вряд ли может повлиять, но на проблемных машинах не только gdm, но и
systemd...
------- Comment #12 From 2012-11-07 15:16:48 -------
(В ответ на комментарий №11)
> (В ответ на комментарий №10)
> 
> > Возможно, это связано с тем, что на всех этих машинах имеется также gdm.
> Таки да -- проблему можно переформулировать как "некорректный импорт настроек
> gdm"..

Значит, наверное, нужно оторвать вообще это импорт настроек. Зачем он нужен?

> Хотя.. вряд ли может повлиять, но на проблемных машинах не только gdm, но и
> systemd...

Очень даже может. Потому как взимотношения gdm+systemd имеюют долгую и
незаконченную историю (а mdm, как я понял, это форк gdm), и обвинения
(небезосновательны) в кривости бросаются как в сторону одного, так и другого.
------- Comment #13 From 2012-11-08 01:46:14 -------
С systemd тоже всё работает. Не могу воспроизвести ни одного указанного
симптома.
------- Comment #14 From 2012-11-08 11:07:50 -------
> > > Возможно, это связано с тем, что на всех этих машинах имеется также gdm.
> > Таки да -- проблему можно переформулировать как "некорректный импорт настроек
> > gdm"..
> 
> Значит, наверное, нужно оторвать вообще это импорт настроек. Зачем он нужен?
Думаю, что низачем не нужен. Особенно с таким "прикольным" результатом.
------- Comment #15 From 2012-11-13 13:57:41 -------
Логин работает только на i586
На x86_64 падает с вероятностью 100%
------- Comment #16 From 2012-11-13 14:28:38 -------
блокер для сборок Centaurus.
------- Comment #17 From 2012-11-13 15:55:54 -------
(В ответ на комментарий №15)
> Логин работает только на i586
> На x86_64 падает с вероятностью 100%

На i586 не проверял. На x86_64 ни один из симптомов не воспроизводится.
------- Comment #18 From 2012-11-13 16:31:39 -------
(В ответ на комментарий №17)
> (В ответ на комментарий №15)
> > Логин работает только на i586
> > На x86_64 падает с вероятностью 100%
> 
> На i586 не проверял. На x86_64 ни один из симптомов не воспроизводится.
Мда, похоже для воспроизведения падения нужно выполнение каких-то ещё условий..
:(
------- Comment #19 From 2012-11-13 18:03:54 -------
(В ответ на комментарий №18)
> > На i586 не проверял. На x86_64 ни один из симптомов не воспроизводится.
> Мда, похоже для воспроизведения падения нужно выполнение каких-то ещё условий..

Если получится обнаружить шаги для воспроизведения, прошу поделиться. Потому
как я, честно, очень старался - ну не удаётся мне хоть раз пронаблюдать
описываемые баги ни на давно-, ни на свеже-установленных системах.
Может это какое-то специфическое сочетание тем? или какой-то специфичный способ
аутентификации?
------- Comment #20 From 2012-11-13 18:51:16 -------
(In reply to comment #18)
> Мда, похоже для воспроизведения падения нужно выполнение каких-то ещё условий..
Может, ну его пока в баню и постараемся обеспечить работоспособность в заданных
условиях (например, альфа кентавра или live-mate с нуля плюс обновление с
centaurus 6.0)?
------- Comment #21 From 2012-11-13 18:53:15 -------
(В ответ на комментарий №20)
> (In reply to comment #18)
> > Мда, похоже для воспроизведения падения нужно выполнение каких-то ещё условий..
> Может, ну его пока в баню

Не надо.
------- Comment #22 From 2012-11-14 00:18:02 -------
Тогда рецепт воспроизведения проблемы в студию, сами понимаете.
------- Comment #23 From 2012-11-14 11:15:28 -------
(В ответ на комментарий №22)
> Тогда рецепт воспроизведения проблемы в студию, сами понимаете.
Рецепт воспроизведения оказался элементарным: падает при системной или
пользовательской локали, отличной от C и POSIX.

Собственно, я уже локализовал проблему и вот-вот исправлю.
------- Comment #24 From 2012-11-14 14:44:36 -------
логин исправлен в alt4, проблема со списком пользователей в старых системах с
systemd, похоже, связана с пакетом accountsservice и требует дополнительного
изучения.
------- Comment #25 From 2012-11-15 08:30:54 -------
(В ответ на комментарий №24)
> логин исправлен в alt4, проблема со списком пользователей в старых системах с
> systemd, похоже, связана с пакетом accountsservice и требует дополнительного
> изучения.

Вот, теперь понятно: установил accountsservice - увидел наконец-то описываемый
эффект со списком пользователей, удалил accountsservice - опять всё нормально.

Может, поставить "Conflicts: accountsservice" до выяснения?
------- Comment #26 From 2012-11-15 09:08:43 -------
(In reply to comment #25)
> Вот, теперь понятно: установил accountsservice - увидел наконец-то описываемый
> эффект со списком пользователей, удалил accountsservice - опять всё нормально.
> 
> Может, поставить "Conflicts: accountsservice" до выяснения?

Попробуйте accountsservice-0.6.25, 0.6.26 убил и текущий gdm.